net.minecraftforge.client.event

## Class GuiScreenEvent.DrawScreenEvent.Pre

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.GuiScreenEvent
    - - net.minecraftforge.client.event.GuiScreenEvent.DrawScreenEvent
      - - net.minecraftforge.client.event.GuiScreenEvent.DrawScreenEvent.Pre

- Enclosing class:
    GuiScreenEvent.DrawScreenEvent

      public static class GuiScreenEvent.DrawScreenEvent.Pre
      extends GuiScreenEvent.DrawScreenEvent

  This event fires just before `GuiScreen.drawScreen()` is called. Cancel this event to skip `GuiScreen.drawScreen()`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.GuiScreenEvent.DrawScreenEvent

      `GuiScreenEvent.DrawScreenEvent.Post, GuiScreenEvent.DrawScreenEvent.Pre`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `GuiScreenEvent.ActionPerformedEvent, GuiScreenEvent.DrawScreenEvent, GuiScreenEvent.InitGuiEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    - ### Fields inherited from class net.minecraftforge.client.event.GuiScreenEvent.DrawScreenEvent

      `mouseX, mouseY, renderPartialTicks`

    - ### Fields inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `gui`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenEvent.DrawScreenEvent.Pre(GuiScreen gui, int mouseX, int mouseY, float renderPartialTicks)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiScreenEvent.DrawScreenEvent.Pre

          public GuiScreenEvent.DrawScreenEvent.Pre(GuiScreen gui,
                                            int mouseX,
                                            int mouseY,
                                            float renderPartialTicks)